1
0
Fork 0

Adding upstream version 1.4.

Signed-off-by: Daniel Baumann <daniel@debian.org>
This commit is contained in:
Daniel Baumann 2025-02-23 19:16:59 +01:00
parent b44f925128
commit d3b8d946a3
Signed by: daniel
GPG key ID: FBB4F0E80A80222F
13 changed files with 54 additions and 37 deletions

View file

@ -1,13 +1,6 @@
2013-04-15 Antonio Diaz Diaz <ant_diaz@teleline.es>
2013-05-27 Antonio Diaz Diaz <antonio@gnu.org>
* Version 1.4-rc2 released.
* Fixed return value of '-d' and '-t' in case of data error.
* main.c: Changed info shown at verbosity levels 2 and 3.
* Ignore option '-n, --threads' for compatibility with plzip.
2013-02-18 Antonio Diaz Diaz <ant_diaz@teleline.es>
* Version 1.4-rc1 released.
* Version 1.4 released.
* main.c: Added new option '-f, --force'.
* main.c: Added new option '-F, --recompress'.
* main.c: Added new option '-k, --keep'.
@ -15,6 +8,10 @@
* main.c: Accept more than one file in command line.
* Decompression time has been reduced by 5%.
* main.c: '--test' no more needs '/dev/null'.
* Fixed return value of '-d' and '-t' in case of data error.
* main.c: Changed info shown at verbosity levels 2 and 3.
* Ignore option '-n, --threads' for compatibility with plzip.
* configure: Options now accept a separate argument.
* configure: 'datadir' renamed to 'datarootdir'.
* Makefile.in: Added new target 'install-as-lzip'.
* Makefile.in: Added new target 'install-bin'.

View file

@ -36,8 +36,9 @@ the main archive.
typing 'make install-bin', 'make install-info' or 'make install-man'
respectively.
5a. Type 'make install-as-lzip' to install the program and any data
files and documentation, and link the program to the name 'lzip'.
Instead of 'make install', you can type 'make install-as-lzip' to
install the program and any data files and documentation, and link
the program to the name 'lzip'.
Another way

View file

@ -10,7 +10,7 @@
#include <stdlib.h>
#include <string.h>
#include "clzip.h"
#include "lzip.h"
#include "LzFind.h"
#define kHash2Size (1 << 10)

View file

@ -11,7 +11,7 @@
#include <string.h>
#include <unistd.h>
#include "clzip.h"
#include "lzip.h"
#include "LzmaDec.h"

View file

@ -11,7 +11,7 @@
/* #define SHOW_STAT */
/* #define SHOW_STAT2 */
#include "clzip.h"
#include "lzip.h"
#include "LzmaEnc.h"
#include "LzFind.h"

View file

@ -29,10 +29,10 @@ main.o : main.c
$(objs) : Makefile
carg_parser.o : carg_parser.h
LzmaDec.o : clzip.h LzmaDec.h
LzFind.o : clzip.h LzFind.h
LzmaEnc.o : clzip.h LzFind.h LzmaEnc.h
main.o : carg_parser.h clzip.h LzmaDec.h LzmaEnc.h
LzmaDec.o : lzip.h LzmaDec.h
LzFind.o : lzip.h LzFind.h
LzmaEnc.o : lzip.h LzFind.h LzmaEnc.h
main.o : carg_parser.h lzip.h LzmaDec.h LzmaEnc.h
doc : man

5
NEWS
View file

@ -7,8 +7,7 @@ Pdlzip now accepts more than one file in the command line.
Decompression time has been reduced by 5%.
The dependence of "-t" on the existence of "/dev/null" has been
removed.
The dependence of "-t" on the existence of "/dev/null" has been removed.
The value returned by "-d" and "-t" in case of data error has been fixed.
@ -17,6 +16,8 @@ Information shown at verbosity levels 2 and 3 has been changed.
Option "-n, --threads" is now accepted and ignored for compatibility
with plzip.
"configure" now accepts options with a separate argument.
Configure option "--datadir" has been renamed to "--datarootdir" to
follow GNU Standards.

View file

@ -1,5 +1,5 @@
/* Pdlzip - Data compressor based on the LZMA algorithm
Copyright (C) 2010, 2011, 2012 Antonio Diaz Diaz.
Copyright (C) 2010, 2011, 2012, 2013 Antonio Diaz Diaz.
This program is free software: you have unlimited permission
to copy, distribute and modify it.

View file

@ -1,5 +1,5 @@
/* Pdlzip - Data compressor based on the LZMA algorithm
Copyright (C) 2010, 2011, 2012 Antonio Diaz Diaz.
Copyright (C) 2010, 2011, 2012, 2013 Antonio Diaz Diaz.
This program is free software: you have unlimited permission
to copy, distribute and modify it.

38
configure vendored
View file

@ -5,10 +5,8 @@
# This configure script is free software: you have unlimited permission
# to copy, distribute and modify it.
args=
no_create=
pkgname=pdlzip
pkgversion=1.4-rc2
pkgversion=1.4
progname=pdlzip
srctrigger=doc/pdlzip.1
@ -28,18 +26,19 @@ CFLAGS='-Wall -W -O2'
LDFLAGS=
# checking whether we are using GNU C.
if [ ! -x /bin/gcc ] &&
[ ! -x /usr/bin/gcc ] &&
[ ! -x /usr/local/bin/gcc ] ; then
${CC} --version > /dev/null 2>&1
if [ $? != 0 ] ; then
CC=cc
CFLAGS='-W -O2'
fi
# Loop over all args
while [ -n "$1" ] ; do
args=
no_create=
while [ $# != 0 ] ; do
# Get the first arg, and shuffle
option=$1
option=$1 ; arg2=no
shift
# Add the argument quoted to args
@ -74,6 +73,14 @@ while [ -n "$1" ] ; do
--version | -V)
echo "Configure script for ${pkgname} version ${pkgversion}"
exit 0 ;;
--srcdir) srcdir=$1 ; arg2=yes ;;
--prefix) prefix=$1 ; arg2=yes ;;
--exec-prefix) exec_prefix=$1 ; arg2=yes ;;
--bindir) bindir=$1 ; arg2=yes ;;
--datarootdir) datarootdir=$1 ; arg2=yes ;;
--infodir) infodir=$1 ; arg2=yes ;;
--mandir) mandir=$1 ; arg2=yes ;;
--srcdir=*) srcdir=${optarg} ;;
--prefix=*) prefix=${optarg} ;;
--exec-prefix=*) exec_prefix=${optarg} ;;
@ -88,11 +95,22 @@ while [ -n "$1" ] ; do
CFLAGS=*) CFLAGS=${optarg} ;;
LDFLAGS=*) LDFLAGS=${optarg} ;;
--* | *=* | *-*-*) ;;
--*)
echo "configure: WARNING: unrecognized option: '${option}'" 1>&2 ;;
*=* | *-*-*) ;;
*)
echo "configure: Unrecognized option: \"${option}\"; use --help for usage." 1>&2
echo "configure: unrecognized option: '${option}'" 1>&2
echo "Try 'configure --help' for more information."
exit 1 ;;
esac
# Check if the option took a separate argument
if [ "${arg2}" = yes ] ; then
if [ $# != 0 ] ; then args="${args} \"$1\"" ; shift
else echo "configure: Missing argument to \"${option}\"" 1>&2
exit 1
fi
fi
done
# Find the source files, if location was not specified.

View file

@ -1,5 +1,5 @@
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.37.1.
.TH PDLZIP "1" "April 2013" "Pdlzip 1.4-rc2" "User Commands"
.TH PDLZIP "1" "May 2013" "Pdlzip 1.4" "User Commands"
.SH NAME
Pdlzip \- reduces the size of files
.SH SYNOPSIS
@ -67,7 +67,7 @@ scale optimal for all files. If your files are large, very repetitive,
etc, you may need to use the \fB\-\-match\-length\fR and \fB\-\-dictionary\-size\fR
options directly to achieve optimal performance.
.PP
Return values: 0 for a normal exit, 1 for environmental problems (file
Exit status: 0 for a normal exit, 1 for environmental problems (file
not found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or
invalid input file, 3 for an internal consistency error (eg, bug) which
caused pdlzip to panic.

View file

6
main.c
View file

@ -10,7 +10,7 @@
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/
/*
Return values: 0 for a normal exit, 1 for environmental problems
Exit status: 0 for a normal exit, 1 for environmental problems
(file not found, invalid flags, I/O errors, etc), 2 to indicate a
corrupt or invalid input file, 3 for an internal consistency error
(eg, bug) which caused pdlzip to panic.
@ -45,7 +45,7 @@
#endif
#include "carg_parser.h"
#include "clzip.h"
#include "lzip.h"
#include "LzmaDec.h"
#include "LzmaEnc.h"
@ -118,7 +118,7 @@ static void show_help( void )
"scale optimal for all files. If your files are large, very repetitive,\n"
"etc, you may need to use the --match-length and --dictionary-size\n"
"options directly to achieve optimal performance.\n"
"\nReturn values: 0 for a normal exit, 1 for environmental problems (file\n"
"\nExit status: 0 for a normal exit, 1 for environmental problems (file\n"
"not found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or\n"
"invalid input file, 3 for an internal consistency error (eg, bug) which\n"
"caused pdlzip to panic.\n"